org.keycloak

## Class AbstractOAuthClient

- java.lang.Object
- - org.keycloak.AbstractOAuthClient

- Direct Known Subclasses:
    JaxrsOAuthClient, OAuthRedirect, ServletOAuthClient

      public class AbstractOAuthClient
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `authUrl`
    `protected String` | `clientId`
    `protected String` | `codeUrl`
    `protected Map<String,String>` | `credentials`
    `protected boolean` | `isSecure`
    `protected boolean` | `publicClient`
    `protected String` | `refreshUrl`
    `protected RelativeUrlsUsed` | `relativeUrlsUsed`
    `protected String` | `scope`
    `protected String` | `stateCookieName`
    `protected String` | `stateCookiePath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOAuthClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthUrl()`
    `String` | `getClientId()`
    `String` | `getCodeUrl()`
    `Map<String,String>` | `getCredentials()`
    `String` | `getRefreshUrl()`
    `RelativeUrlsUsed` | `getRelativeUrlsUsed()`
    `String` | `getScope()`
    `protected String` | `getStateCode()`
    `String` | `getStateCookieName()`
    `String` | `getStateCookiePath()`
    `boolean` | `isPublicClient()`
    `void` | `setAuthUrl(String authUrl)`
    `void` | `setClientId(String clientId)`
    `void` | `setCodeUrl(String codeUrl)`
    `void` | `setCredentials(Map<String,String> credentials)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRefreshUrl(String refreshUrl)`
    `void` | `setRelativeUrlsUsed(RelativeUrlsUsed relativeUrlsUsed)`
    `void` | `setScope(String scope)`
    `void` | `setStateCookieName(String stateCookieName)`
    `void` | `setStateCookiePath(String stateCookiePath)`
    `protected String` | `stripOauthParametersFromRedirect(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientId

          protected String clientId

    - #### credentials

          protected Map<String,String> credentials

    - #### authUrl

          protected String authUrl

    - #### codeUrl

          protected String codeUrl

    - #### refreshUrl

          protected String refreshUrl

    - #### relativeUrlsUsed

          protected RelativeUrlsUsed relativeUrlsUsed

    - #### scope

          protected String scope

    - #### stateCookieName

          protected String stateCookieName

    - #### stateCookiePath

          protected String stateCookiePath

    - #### isSecure

          protected boolean isSecure

    - #### publicClient

          protected boolean publicClient

  - ### Constructor Detail

    - #### AbstractOAuthClient

          public AbstractOAuthClient()

  - ### Method Detail

    - #### getStateCode

          protected String getStateCode()

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getCredentials

          public Map<String,String> getCredentials()

    - #### setCredentials

          public void setCredentials(Map<String,String> credentials)

    - #### getAuthUrl

          public String getAuthUrl()

    - #### setAuthUrl

          public void setAuthUrl(String authUrl)

    - #### getCodeUrl

          public String getCodeUrl()

    - #### setCodeUrl

          public void setCodeUrl(String codeUrl)

    - #### getRefreshUrl

          public String getRefreshUrl()

    - #### setRefreshUrl

          public void setRefreshUrl(String refreshUrl)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getStateCookieName

          public String getStateCookieName()

    - #### setStateCookieName

          public void setStateCookieName(String stateCookieName)

    - #### getStateCookiePath

          public String getStateCookiePath()

    - #### setStateCookiePath

          public void setStateCookiePath(String stateCookiePath)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

    - #### getRelativeUrlsUsed

          public RelativeUrlsUsed getRelativeUrlsUsed()

    - #### setRelativeUrlsUsed

          public void setRelativeUrlsUsed(RelativeUrlsUsed relativeUrlsUsed)

    - #### stripOauthParametersFromRedirect

          protected String stripOauthParametersFromRedirect(String uri)

Copyright © 2015. All Rights Reserved.